Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 197137 - Review Request: Conga - Remote management interface
Summary: Review Request: Conga - Remote management interface
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-06-28 19:10 UTC by Jim Parsons
Modified: 2013-01-10 03:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-13 19:05:08 UTC


Attachments (Terms of Use)

Description Jim Parsons 2006-06-28 19:10:12 UTC
Spec URL: http://sourceware.org/cluster/conga/extras/conga.spec
SRPM URL: http://sourceware.org/cluster/conga/extras/conga-0.8-6.FC6.src.rpm
Description:  Conga is a next generation management interface for cluster and storage configuration, but can also be easily adopted to any remote management or configuration need. In addition to Cluster and Storage, Conga ships with modules for pkg installation, logging, service level configuration (chkconfig), etc. It consists of an agent and a user interface. Please see a full description at http://sources.redhat.com/cluster/conga/index.html

Comment 1 Kevin Fenzi 2006-06-30 02:02:21 UTC
Is this submission for extras or should it be for core?

Also, why is this bug marked "Fedora Project Contributors" only? 

Comment 2 Jim Parsons 2006-06-30 15:23:24 UTC
This submission is for Extras -- Conga has deps on Zope and Plone which are
already in Extras.

As far as check boxes go - I didn't have any idea what to select...I thought
that because my pkg was under review, that I should check that box.....But I
will gladly check/uncheck any boxes that you tell me to!

Comment 3 David Lutterkort 2006-06-30 19:23:06 UTC
Not a full review, just a few comments from looking at and building the package:

* It would be better to split the package into several source packages (e.g.,
conga, luci, ricci, and cluster-*). That would probably also help expediting the
review; when you do that, file separate review requests for each package
* Please run rpmlint on the generated packages and either fix the
errors/warnings it generates, or explain here why you think they are ok to ignore
* You shouldn't require /bin/bash, it's in the list of requirement exceptions
(see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-4cadce5e79d38a63cad3941de1dadc9d25d67d30)
* The summary of the packages should be a short one-sentence description of each
package.
* There is no need to have a 'Provides: %name' for each package
* You shouldn't hardcode the distribution in the release tag; instead use
'6{%?dist}' as the release - the build system will fill in the appropriate value
(.fc5, .fc6 etc.)
* Do not manually set _libdir on x86_64; it's automatically set to the right
thing by rpm
* Why does ricci have a number of 'Requires: ricci-xyz = version' and 'Provides:
ricci-xyz' ? Shouldn't the provides be versioned, too ? There's no need for
those requires

Comment 4 Stanko Kupcevic 2006-07-06 21:47:15 UTC
Please check out version 0.8-7 (will publish on Friday, July, 7th 2006):
Spec URL: http://sourceware.org/cluster/conga/extras/conga.spec
SRPM URL: http://sourceware.org/cluster/conga/extras/conga-0.8-7.fc6.src.rpm

* It would be better to split the package into several source packages (e.g.,
conga, luci, ricci, and cluster-*). That would probably also help expediting the
review; when you do that, file separate review requests for each package
 - ricci, ricci-modcluster, cluster-cim and cluster-snmp build from the same
source code, and has been split into several packages so that users can pick and
choose what they need

* Please run rpmlint on the generated packages and either fix the
errors/warnings it generates, or explain here why you think they are ok to ignore
 - rpmlint output at the end

* You shouldn't require /bin/bash, it's in the list of requirement exceptions
(see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-4cadce5e79d38a63cad3941de1dadc9d25d67d30)
 - removed

* The summary of the packages should be a short one-sentence description of each
package.
 - added

* There is no need to have a 'Provides: %name' for each package
 - removed

* You shouldn't hardcode the distribution in the release tag; instead use
'6{%?dist}' as the release - the build system will fill in the appropriate value
(.fc5, .fc6 etc.)
 - fixed

* Do not manually set _libdir on x86_64; it's automatically set to the right
thing by rpm
 - rpmbuild used not to do that, not setting manually any more

* Why does ricci have a number of 'Requires: ricci-xyz = version' and 'Provides:
ricci-xyz' ? Shouldn't the provides be versioned, too ? There's no need for
those requires
 - fixed



rpmlint *rpm | grep -v non-standard-uid (both ricci and luci run under their own
respective users): 

E: luci non-readable /var/lib/luci/var/Data.fs 0600
 - Data.fs contains data that should be viewed by luci only
E: luci non-executable-script /var/lib/luci/Extensions/ModelBuilder.py 0644
 - python file with self-test function
E: luci executable-marked-as-config-file /etc/rc.d/init.d/luci
 - init script
W: luci dangerous-command-in-%post chmod
 - rpm generates private ssl key, has to be readable by luci only 
E: ricci executable-marked-as-config-file /etc/rc.d/init.d/ricci
 - init script
E: ricci setuid-binary /usr/sbin/ricci-auth root 04755
E: ricci non-standard-executable-perm /usr/sbin/ricci-auth 04755
 - authentication helper; verifies root password against pam libraries, while
ricci runs as non-root -> should be set-uid 
W: ricci dangerous-command-in-%post chown
 - rpm generates private ssl key, has to be readable by ricci only
W: ricci service-default-enabled /etc/rc.d/init.d/ricci
 - idea behind ricci is that after installation, luci connects to it, without
any user interaction
W: ricci-modcluster service-default-enabled /etc/rc.d/init.d/ricci-modclusterd
 - same goes for cluster module
E: ricci-modcluster executable-marked-as-config-file
/etc/rc.d/init.d/ricci-modclusterd
 - init script
W: ricci-modcluster incoherent-init-script-name ricci-modclusterd



Comment 6 Jim Parsons 2006-07-10 15:55:18 UTC
Sorry - link for new src rpm is actually:
http://sourceware.org/cluster/conga/extras/conga-0.8-7.fc6.src.rpm

spec file link is OK:
http://sourceware.org/cluster/conga/extras/conga.spec

Comment 7 Jesse Keating 2006-07-25 16:01:25 UTC
Hrm, this doesn't seem to build anymore.  There recently was a split out of dbus
packages into seperate packages, dbus, dbus-glib, dbus-python, dbus-sharp.  Each
with a -devel component.  Perhaps you need to alter your BuildRequires so that
you're pulling in the correct dbus development parts?

DBusController.cpp: In destructor 'virtual DBusController::~DBusController()':
DBusController.cpp:110: error: 'dbus_connection_disconnect' was not declared in
this scope


Comment 8 Stanko Kupcevic 2006-07-31 15:27:07 UTC
'dbus_connection_disconnect' has been renamed to 'dbus_connection_close' in the
latest update of dbus packages. 


Comment 10 Jesse Keating 2007-03-15 12:30:20 UTC
Is there an updated srpm?  Last time I tried this didn't build before, and there
seems to just be a comment from Stanko about how to fix it, but no updates
source package to try.

Comment 12 Tom "spot" Callaway 2007-03-21 20:49:42 UTC
Jim, this package pulls in and packages local copies of zope and plone. Is there
any way it could instead use the Fedora zope/plone packages?

Note that I'm not asking for %{include_zope_and_plone} to be set to no, but
rather that you use the zope and plone packages that are already in Fedora Extras.

Comment 13 Kevin Fenzi 2007-06-01 05:53:05 UTC
Note that Zope/Plone are not in F-7 due to Zope not running on python-2.5, which
ships in that release. :( 

So, does it make sense to continue this submission? 

Jesse: Are you reviewing this package? You should set fedora-review to ? if so. 
Jim: Do you still want to continue this submission?

Comment 14 Jim Parsons 2007-06-01 16:55:46 UTC
I was hoping that zope would make it an a future update to this release - there
has been talk on the zope lists about it. If, in fact, you will NEVER, EVER let
zope that works with python 2.5 in fedora 7, then this ticket is definetely a
moot  one. 
Can this ticket be cloned for Fedora 8, then?

Comment 15 Kevin Fenzi 2007-06-01 19:54:53 UTC
Well, the problem is that Zope won't work at all with python 2.5 right now. 
So, it can't be in devel and F-7. 

I'm sure we will re-add it in a flash once it does, but it sounds like there is
a LOT of work needed to get it there currently. 

I suppose we could just leave this ticket open for that day, or we could perhaps
close it for now, and resubmit/reopen it once Zope is back?

Alternately, I suppose you could continue now and only build for fc5/fc6?

Comment 16 Kevin Fenzi 2007-06-08 04:13:38 UTC
Hey Jim: Any thoughts on which way you would like to go? 

See comment #15

Comment 17 Jesse Keating 2007-07-06 16:41:47 UTC
I'm removing myself from this review.  No activity and it's cluttering up my bug
views.

Comment 18 Jason Tibbitts 2007-07-06 17:02:26 UTC
Cleaning up blockers.

At this point it seems that we've been waiting on a response from the reporter
for over a month now.  Setting NEEDINFO; I'll close this in a week if there's no
further response.

Comment 19 Jason Tibbitts 2007-07-13 19:05:08 UTC
It's been a week; closing.


Note You need to log in before you can comment on or make changes to this bug.